Bug 1030768 - hamlib.x86_64 conflicts with hamlib.i686
hamlib.x86_64 conflicts with hamlib.i686
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hamlib (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 00:25 EST by Asif Ali Rizvan
Modified: 2014-07-03 08:14 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-01 09:36:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed fix (6.24 KB, patch)
2014-06-24 13:24 EDT, Jaroslav Škarvada
no flags Details | Diff

  None (edit)
Description Asif Ali Rizvan 2013-11-15 00:25:47 EST
[root@localhost rizvan]# yum install hamlib.x86_64 hamlib.i686
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package hamlib.i686 0:1.2.15.3-5.fc20 will be installed
--> Processing Dependency: libusb-0.1.so.4 for package: hamlib-1.2.15.3-5.fc20.i686
---> Package hamlib.x86_64 0:1.2.15.3-5.fc20 will be installed
--> Running transaction check
---> Package libusb.i686 1:0.1.5-2.fc20 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================================================
 Package                            Arch                               Version                                       Repository                          Size
==============================================================================================================================================================
Installing:
 hamlib                             i686                               1.2.15.3-5.fc20                               fedora                             943 k
 hamlib                             x86_64                             1.2.15.3-5.fc20                               fedora                             941 k
Installing for dependencies:
 libusb                             i686                               1:0.1.5-2.fc20                                fedora                              35 k

Transaction Summary
==============================================================================================================================================================
Install  2 Packages (+1 Dependent package)

Total size: 1.9 M
Installed size: 16 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  file /usr/bin/rigctl conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/bin/rigctld conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/bin/rigmem conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/bin/rigsmtr conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/bin/rigswr conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/bin/rotctl conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/bin/rotctld conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/sbin/rpc.rigd conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/sbin/rpc.rotd conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_2tests_2testrig_8c-example.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_a_u_t_h_o_r_s.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_c_o_p_y_i_n_g.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_c_o_p_y_i_n_g_8_l_i_b.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_i_n_s_t_a_l_l.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_l_i_c_e_n_s_e.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_n_e_w_s.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_p_l_a_n.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_rdme.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_rdmebeta.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_rdmedevel.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_rdmewin32.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_t_h_a_n_k_s.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/_t_o_d_o.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/annotated.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/bug.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/cal_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/cal_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/class_rig.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/class_rig_exception.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/class_rotator.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/classes.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/cm108_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/cm108_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/conf_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/debug_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/dir_68267d1309a1af8e8297ef4c3efbcdba.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/dir_d197e818a2bc05bc982c3953d6a88084.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/dir_d44c64559bbebec7f509842c48db8b23.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/doclicense.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/event_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/event_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/examples.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/ext_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/files.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x62.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x63.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x64.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x65.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x66.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x68.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x69.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x6c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x6d.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x6e.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x6f.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x70.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x72.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x73.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x74.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x75.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x76.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x77.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_0x78.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x62.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x63.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x64.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x65.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x66.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x68.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x69.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x6c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x6d.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x6e.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x6f.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x70.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x72.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x73.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x74.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x75.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x76.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x77.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/functions_vars_0x78.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x63.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x64.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x65.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x66.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x67.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x68.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x69.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x6c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x6d.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x6e.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x70.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x71.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x72.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x73.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x74.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x76.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_0x77.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_defs.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_enum.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_eval.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x63.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x64.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x66.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x6c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x6e.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x70.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x71.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x72.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x73.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x74.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_func_0x77.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_type.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/globals_vars.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/group__rig.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/group__rig__internal.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/group__rotator.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/group__utilities.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/idx__builtin_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/index.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/iofunc_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/iofunc_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/locator_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/mem_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/misc_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/misc_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/modules.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/network_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/network_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/pages.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/par__nt_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/parallel_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/parallel_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/register_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/register_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rig_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rig_8h.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rig_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rig__dll_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rigclass_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/riglist_8h.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/riglist_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rot__conf_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rot__conf_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rot__reg_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rotator_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rotator_8h.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rotator_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rotclass_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rotlist_8h.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/rotlist_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/serial_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/serial_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/settings_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structcal__table.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structchan__list.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structchannel.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structchannel__cap.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structconfparams.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structext__list.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structfilter__list.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structfreq__range__list.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structgran.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structhamlib__port__t.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrig.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrig__callbacks.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrig__caps.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrig__list.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrig__state.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrot.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrot__caps.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrot__list.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structrot__state.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/structtuning__step__list.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/todo.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/token_8h.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/token_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/tones_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/tones_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/unionvalue__t.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/usb__port_8c.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686
  file /usr/share/doc/hamlib/html/usb__port_8h_source.html conflicts between attempted installs of hamlib-1.2.15.3-5.fc20.x86_64 and hamlib-1.2.15.3-5.fc20.i686

Error Summary
-------------
Comment 1 Panu Matilainen 2013-11-15 01:52:02 EST
File conflicts are packaging bugs. In this case there a are two separate sources of problems:

1) hamlib is using the old-style dependency filtering system (http://fedoraproject.org/wiki/EPEL:Packaging_Autoprovides_and_Requires_Filtering) which is explicitly not allowed for packages installing binaries in path, because the old filtering system has side-effects for multilib installations. It should be updated to use the rpm built-in filtering which has no such limitations: http://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering. Also it often makes sense to split the libraries and binaries into separate packages which also avoids unnecessary multilib conflicts.

2) The .html file conflicts are plain old content conflicts, eg doxygen generated documentation often contains differences between architectures. Often the best solution is to split the (API) documentation into a separate, noarch sub-package.
Comment 2 Richard Shaw 2013-11-15 09:20:35 EST
I'm looking into this but I'm not sure if I have ACL access to all branches.

Additionally, the python sub-package is incorrectly installing into python_sitelib even though it's providing a arch specific library, _Hamlib.so.
Comment 3 Richard Shaw 2014-06-18 16:20:46 EDT
I think I have addressed the problems including installing the python bindings to the correct location but in order to completely solve the multi-lib problem don't I have to split the binaries into a separate package?
Comment 4 Jaroslav Škarvada 2014-06-24 12:39:52 EDT
I switched to the recent dependency filtering system in the rawhide, which should resolve most of the conflicts.

So far there is only python object files multilib conflict remaining. This shouldn't happen as the object files should be arch independent. I am going to take deeper look on it.
Comment 5 Jaroslav Škarvada 2014-06-24 12:54:55 EDT
Got it, there is timestamp difference in the .pyc/.pyo files because the source .py is swig generated and has different modification time.

Nevertheless this should go away by fixing the python installation path.
Comment 6 Jaroslav Škarvada 2014-06-24 13:24:41 EDT
Created attachment 911816 [details]
Proposed fix

I am proposing the following patch to fix the python dir.
Comment 7 Jaroslav Škarvada 2014-07-01 08:47:54 EDT
I am going to push the patch from comment 6 to rawhide and backport the new filtering system support to f20. I will not backport the python files location fix to f20, because we probably shoudn't do this during stable release. If the new python files location breaks anything for you, feel free to revert it in rawhide. Also I am going to send this patch upstream.
Comment 8 Jaroslav Škarvada 2014-07-01 09:13:47 EDT
Well, I am not backporting anything. I am moving this bug to rawhide and fixing it all there. I think this is the best solution. If you really need to backport the fixes, please reopen this bug or comment.
Comment 9 Jaroslav Škarvada 2014-07-03 08:14:02 EDT
(In reply to Jaroslav Škarvada from comment #6)
> Created attachment 911816 [details]
> Proposed fix
> 
> I am proposing the following patch to fix the python dir.

Patch sent upstream.

Note You need to log in before you can comment on or make changes to this bug.